Bug 50877 - Recent version of abiword not working
Recent version of abiword not working
Status: CLOSED CURRENTRELEASE
Product: Red Hat Public Beta
Classification: Retired
Component: XFree86 (Show other bugs)
roswell
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-04 05:31 EDT by LENHOF
Modified: 2007-04-18 12:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-08 12:55:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description LENHOF 2001-08-04 05:31:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2) Gecko/20010725

Description of problem:
Please add the line "load "type1" in XF86Config-4 by default....like this
program like abiword or openffice could use TrueType Font

You should upgrade abiword to 0.9, it's far more better than 0.7....

How reproducible:
Always

Steps to Reproduce:
1.Install abiword 0.9
2.
3.
	

Actual Results:  Problem with Times New Roman Font...

Expected Results:  Launching

Additional info:

Look at

I get an error message "AbiWord could not load [-*-Times New
Roman-regular-r-*-*-*-0-*-*-*-*-*-*]"

on

http://www.abisource.com/faquser.phtml#2.7.1


I think it's an easy bug you could recover...
Comment 1 Bill Crawford 2001-08-08 08:12:35 EDT
Please excuse the AOLism, but "me too" ... I had to add this and restart X
before I could use Type1 fonts for anti-aliased xterms.  I'd also assumed that
this would work "out of the box" :o)
Once that's done, and XftConfig fiddled with, and xftcache run, its sweet.
Comment 2 Mike A. Harris 2001-08-17 22:50:26 EDT
load type1 will not be added to the configs.  Red Hat Linux by
default is configured to use the xfs font server, and this will
not change.  xfs is used for various advantageous reasons.

If you have enhancements to XftConfig, etc, please provide
detailed examples, etc. and I will investigate integrating them.
If type1 fonts are not available, it is some other problem,
and I will look into it.
Comment 3 Bill Crawford 2001-08-18 07:55:40 EDT
I know there are reasons for using xfs, but this didn't work without the "type1"
module loaded in the server.

xfs logs a message when it loads:

Aug 17 08:17:29 billc xfs: ignoring font path element
/usr/X11R6/lib/X11/fonts/Type1 (unreadable) 

But the X server apparently reads it fine.
Comment 4 LENHOF 2001-08-19 08:51:56 EDT
Hi guys,

I'm back from holidays...so I can try to explain a few....

How could I add a module in the xfs config file ?

The part where I added the line in XF86Config-4 was :

Section "Module"
        Load  "GLcore"
        Load  "dbe"
        Load  "extmod"
	Load "fbdevhw"
	Load "pex5"
	Load "dri"
        Load  "glx"
        Load  "pex5"
        Load  "record"
        Load  "xie"
	Load  "type1" # Here 's my addition !!!!
EndSection
Have a look on the link I gave you...

Jean-Yves LENHOF
Comment 5 LENHOF 2001-09-03 13:40:27 EDT
I think billc@netcomuk.co.uk give the good reason :

xfs is not loading Type 1 fonts.... 

Extract of my /var/log/messages :

sep  2 19:47:53 mylinux atd: Lancement atd  succeeded
Sep  2 19:47:53 mylinux xfs: ignoring font path element
/usr/X11R6/lib/X11/fonts/Type1 (unreadable) 
sep  2 19:47:54 mylinux linuxconf: Running Linuxconf hooks:  succeeded
Comment 6 Mike A. Harris 2001-09-18 04:08:49 EDT
This would imply that the fonts.dir file is bad in the Type1 directory.
Run mkfontdir in the Type1 directory, and the fonts should work with
xfs.  Again, the "load type1" in the XFree86 config file, does not
have any effect on xfs.

Make sure your font path is configured in the XF86Config-4 to use xfs
as is the default.

I will look into this to ensure that the Type1 font is working properly.
Comment 7 Marius Andreiana 2002-07-08 12:55:06 EDT
mharris: could you please check this out and close this if ok?
Comment 8 Mike A. Harris 2002-07-26 08:12:52 EDT
CLosing CURRENTRELEASE of RHL 7.3

Note You need to log in before you can comment on or make changes to this bug.